Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001616 [Piwigo] language feature N/A 2010.04.16 23:11 2011.01.19 14:33
Reporter plg View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.0RC1 Product Version 2.0.9
  Target Version 2.2.0RC1 Product Build
Summary 0001616: rename "category" into "album"
Description "category" is a technical word while "album" commonly refers to a set of photos. This is exactly what most users are expecting in a photo gallery.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0002102closedrvelices rename "image"/"item" into "photo" 

-  Notes
(0004158)
rvelices (developer)
2010.09.13 14:33

do we agree we also change language keys, not only language values ?
(0004159)
plg (manager)
2010.09.13 16:20

Yes, I'm in favor of changing the language keys also. I didn't do it in the "Albums" plugin to keep things simple but theoretically, language keys should be equal to english values (so that we don't need to load english specific language, language keys are enough).

There is a script tools/convert_language_to_2.1.pl that may be useful to modify language keys. Tell me if you want me to execute this script on languages.
(0004200)
svn (reporter)
2010.09.16 21:03

[Subversion] r6951 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: rename "category" into "album" (first commit; still to come)
(0004215)
svn (reporter)
2010.09.19 21:50

[Subversion] r6969 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: rename "category" into "album" (second commit; still to come)
(0004224)
svn (reporter)
2010.09.21 22:19

[Subversion] r6988 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: rename "category" into "album" (3rd commit; still to come)
(0004228)
svn (reporter)
2010.09.21 23:14

[Subversion] r6993 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: rename "category" into "album" (4th commit; almost there)
(0004229)
plg (manager)
2010.09.21 23:45

rvelices, do you plan to integrate existing strings in the Albums plugin? or would you like to assign the issue to me for this final task?

http://piwigo.org/ext/extension_view.php?eid=396 [^]
(0004243)
rvelices (developer)
2010.09.27 12:01

no, you can go ahead. Please note that for some keys I did more than just replace category with album.
English language should be OK by now.
(0004244)
plg (manager)
2010.09.27 12:04

OK, I take the ticket! Thank you rvelices :-)
(0004245)
svn (reporter)
2010.09.28 01:32

[Subversion] r7024 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: rename category into album, a few language keys were missing
(0004246)
svn (reporter)
2010.09.28 02:18

[Subversion] r7026 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: add a tool to replace language keys from a mapping file + replace values from a template file
(0004247)
svn (reporter)
2010.09.28 02:20

[Subversion] r7027 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: integrate Albums plugin extension:396 into trunk (with new language keys)
(0004248)
svn (reporter)
2010.09.28 04:49

[Subversion] r7028 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: rename "category" into "album" (update template)
(0004279)
svn (reporter)
2010.10.14 15:16

[Subversion] r7180 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: cs_CZ, pl_PL, ru_RU, integrate Albums plugin extension:396 into trunk (with new language keys)
(0004588)
svn (reporter)
2010.12.23 23:18

[Subversion] r8270 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: after the backport of nearly all languages from branch 2.1 to
trunk, reapply the Albums plugin into trunk for languages cs_CZ es_ES de_DE
lv_LV pl_PL ru_RU sk_SK tr_TR zh_CN
(0004594)
svn (reporter)
2010.12.24 15:40

[Subversion] r8286 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1616: after the backport of nearly all languages from branch 2.1 to
trunk, reapply the new keys for "album" instead of "category" into trunk for
languages ar_SA ca_ES da_DK es_AR fa_IR fr_CA he_IL hr_HR ja_JP ka_GE mk_MK
nl_NL pt_BR pt_PT ro_RO sh_RS sl_SL sr_RS sv_SE vi_VN

- Issue History
Date Modified Username Field Change
2010.04.16 23:11 plg New Issue
2010.04.16 23:11 plg Status new => assigned
2010.04.16 23:11 plg Assigned To => rvelices
2010.04.16 23:11 plg browser => any
2010.04.16 23:11 plg Web server => Apache 1.3.x
2010.09.13 14:33 rvelices Note Added: 0004158
2010.09.13 16:20 plg Note Added: 0004159
2010.09.16 21:03 svn Checkin
2010.09.16 21:03 svn Note Added: 0004200
2010.09.19 21:50 svn Checkin
2010.09.19 21:50 svn Note Added: 0004215
2010.09.21 22:19 svn Checkin
2010.09.21 22:19 svn Note Added: 0004224
2010.09.21 23:14 svn Checkin
2010.09.21 23:14 svn Note Added: 0004228
2010.09.21 23:45 plg Note Added: 0004229
2010.09.27 12:01 rvelices Note Added: 0004243
2010.09.27 12:01 rvelices Assigned To rvelices => plg
2010.09.27 12:04 plg Note Added: 0004244
2010.09.28 01:32 svn Checkin
2010.09.28 01:32 svn Note Added: 0004245
2010.09.28 02:18 svn Checkin
2010.09.28 02:18 svn Note Added: 0004246
2010.09.28 02:20 svn Checkin
2010.09.28 02:20 svn Note Added: 0004247
2010.09.28 04:49 svn Checkin
2010.09.28 04:49 svn Note Added: 0004248
2010.10.14 15:16 svn Checkin
2010.10.14 15:16 svn Note Added: 0004279
2010.12.23 23:18 svn Checkin
2010.12.23 23:18 svn Note Added: 0004588
2010.12.24 15:40 svn Checkin
2010.12.24 15:40 svn Note Added: 0004594
2011.01.11 17:30 rvelices Relationship added related to 0002102
2011.01.19 14:33 plg Assigned To plg => rvelices
2011.01.19 14:33 plg Status assigned => closed
2011.01.19 14:33 plg Resolution open => fixed
2011.01.19 14:33 plg Fixed in Version => 2.2.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker